Subject: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Sep 2023 14:28:03 +0300

> From: Stephen Berman <[email-masked]>
> Date: Mon, 18 Sep 2023 12:06:37 +0200
> 
> I just built Emacs --with-xwidgets on a new system (glibc-2.38,
> gcc-13.2.0, linux-6.5.2) on which I've installed webkitgtk-2.41.92 for
> both Gtk3 and Gtk4 (libwebkit2gtk-4.1.so and libwebkitgtk-6.0.so).  When
> I invoke `M-x xwidget-webkit-browse-url', enter a URL at the prompt and
> press RET, Emacs aborts.  I ran under gdb and have attached a full
> backtrace.

Thanks.  However, when Emacs aborts in x_error_quitter, the backtrace
is usually not useful (due to asynchronous treatment of X errors).  So
please run Emacs in X synchronous mode and post the backtrace from
that session.  The file etc/DEBUG explains how to do this; search for
"If you encounter X protocol errors" there.